Different roles for the mouse buttons
Closed, ResolvedPublic

Description

Currently we expect the user to do everything by left-clicking: selecting elements, dragging them, trimming them, seeking .

  • Right-click should be seek-only.
  • Left-click should optionally select/edit-only, without seeking.

This is similar with how Blender's video timeline works. Left click is for seeking only and right click is for selecting elements. We'd have it the other way around, since normally in a Gtk app you drag&drop with the left mouse button.

Imported from https://bugzilla.gnome.org/show_bug.cgi?id=724751

aleb claimed this task.Feb 19 2014, 10:17 PM
aleb created this task.
aleb added a subscriber: aleb.
pitivi-maint triaged this task as Enhancement priority.Feb 19 2014, 10:17 PM
pitivi-maint claimed this task.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:40 PM
thiblahute added a project: Pitivi.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:44 PM
aleb claimed this task.
aleb moved this task from Backlog to In progress on the Pitivi 0.96 board.Oct 20 2015, 11:51 PM
aleb renamed this task from Right-click for seleting elements only to Different roles for the mouse buttons.Oct 21 2015, 1:47 PM
aleb updated the task description. (Show Details)
aleb moved this task from In progress to Needs review on the Pitivi 0.96 board.Oct 21 2015, 8:01 PM

I would be nice to discuss that with some users,

Would you mind trying to get some discussion around that proposal? :)

thiblahute moved this task from Backlog to Pitivi 0.96 on the Pitivi board.Oct 26 2015, 9:31 AM
thiblahute moved this task from Pitivi 0.96 to Backlog on the Pitivi board.Oct 26 2015, 9:37 AM

I do not see anything to review here :)

aleb moved this task from In progress to Needs review on the Pitivi 0.96 board.Nov 26 2015, 2:29 PM
This comment was removed by aleb.
aleb added a comment.EditedNov 26 2015, 10:42 PM

There are two things we need to discuss about:

The functionality of the RMB (right mouse button)

To be clear, the current behavior of the RMB on the timeline (documented nowhere) is this:

  • When you right-click a clip1 and drag to clip2, it changes the selection to [clip1]. It does not work to move or trim a clip with the RMB.
  • Whenever the RMB is released a seek is performed.

The proposal is to allow using the RMB only for seeking. The benefits are:

  • Seeking (using the RMB) without risking to change the selection.
  • Scrubbing (using the RMB) on the timeline. Before, you were able to scrub only on the ruler. Also you don't risk to change the selection.
  • No more weird behavior of the RMB.

The ability to disable seeking when using the LMB

This is just what some users might prefer. The complexity in the logic is an extra "if", that's all.

aleb updated the task description. (Show Details)Nov 27 2015, 4:10 AM
thiblahute added a comment.EditedNov 27 2015, 9:14 AM
In T3158#54284, @aleb wrote:

There are two things we need to discuss about:

== The functionality of the RMB (right mouse button) ==

To be clear, the current behavior of the RMB on the timeline (documented nowhere) is this:

  • When you right-click a clip1 and drag to clip2, it changes the selection to [clip1]. It does not work to move or trim a clip with the RMB.
  • Whenever the RMB is released a seek is performed.

Currently the code just does not care about RMB vs LMB, which is indeed wrong.

The proposal is to allow using the RMB only for seeking. The benefits are:

  • Seeking (using the RMB) without risking to change the selection.

That I totally agree it is a good idea :)

  • Scrubbing (using the RMB) on the timeline. Before, you were able to scrub only on the ruler. Also you don't risk to change the selection.
  • No more weird behavior of the RMB.

    == The ability to disable seeking when using the LMB ==

    This is just what some users might prefer. The complexity in the logic is an extra "if", that's all.

OK, thanks for that clear proposal, and now I totally agree with it! :D

thiblahute closed this task as Closed.Dec 2 2015, 4:50 PM
thiblahute moved this task from Needs review to Done on the Pitivi 0.96 board.Dec 2 2015, 5:22 PM
thiblahute edited projects, added Pitivi (0.96); removed Pitivi.Apr 17 2016, 1:02 AM
thiblahute moved this task from Backlog to Done on the Pitivi (0.96) board.Apr 17 2016, 1:05 AM

GitLab Migration Automatic Message

This bug has been migrated to GNOME's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.gnome.org/GNOME/pitivi/issues/1445.